package com.engine.kq.cmd.hrmAttProcSet;

/**
 * 考勤流程类型和模板对应
 */
public enum KqTempletEnum {
  /**
   * 请假
   */
  LEAVE("0", "HrmCustomLeave_e9.jsp","HrmCustomLeave_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 出差
   */
  EVECTION("1", "HrmCustomEvection_e9.jsp","HrmCustomEvection_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 公出
   */
  OUT("2", "HrmCustomOut_e9.jsp","HrmCustomOut_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 加班
   */
  OVERTIME("3", "HrmCustomOvertime_e9.jsp","HrmCustomOvertime_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 异常流程
   */
  OTHER("4", "HrmCustomOther_e9.jsp","HrmCustomOther_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 调班
   */
  SHIFT("5", "HrmCustomShift_e9.jsp","HrmCustomShift_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 销假
   */
  LEAVEBACK("6", "HrmCustomLeaveBack_e9.jsp","HrmCustomLeaveBack_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 补卡
   */
  Card("7", "HrmCustomCard_e9.jsp","HrmCustomCard_e9.jsp","/workflow/request/ext4e9/"),
  /**
   * 补卡
   */
  PROCESSCHANGE("8", "HrmCustomProcessChange_e9.jsp","HrmCustomProcessChange_e9.jsp","/workflow/request/ext4e9/");


  private String flowtype;
  private String templetfile;
  private String templetmobilefile;
  private String templetroute;

  /**
   * @param flowtype 考勤流程类型
   * @param templetfile 模板文件
   * @param templetmobilefile 手机端模板文件
   * @param templetroute 模板地址
   */
  KqTempletEnum(String flowtype, String templetfile, String templetmobilefile,String templetroute) {
    this.flowtype = flowtype;
    this.templetfile = templetfile;
    this.templetmobilefile = templetmobilefile;
    this.templetroute = templetroute;
  }

  public String getFlowtype() {
    return flowtype;
  }

  public void setFlowtype(String flowtype) {
    this.flowtype = flowtype;
  }

  public String getTempletfile() {
    return templetfile;
  }

  public void setTempletfile(String templetfile) {
    this.templetfile = templetfile;
  }

  public String getTempletmobilefile() {
    return templetmobilefile;
  }

  public void setTempletmobilefile(String templetmobilefile) {
    this.templetmobilefile = templetmobilefile;
  }

  public String getTempletroute() {
    return templetroute;
  }

  public void setTempletroute(String templetroute) {
    this.templetroute = templetroute;
  }
}
